﻿@inherits FilesListViewModel

@if (Files == null)
{
  <p>Wait, please...</p>
}
else
{
<table class="k-table">
  <thead class="k-thead">
    <tr class="table-headers k-tr">
      <th class="k-th">Наименование</th>
      <th class="k-th">Размер(байт)</th>
      <th class="k-th">Тип</th>
      <th class="k-th">Комментарий</th>
    </tr>
  </thead>

  <tbody>
    @foreach (var file in Files)
    {
      <tr class="hand-hover k-tr"
          onclick="@(() => SelectedFile(file))">

        <td class="k-td">@file.Name</td>
        <td class="k-td">@file.Size</td>
        <td class="k-td">@file.Type</td>
        <td class="k-td">@file.Comment</td>
      </tr>
    }
  </tbody>
</table>
}
